package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.MusicData;
import com.yutou.tools.mybatis.model.MusicDataExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface MusicDataDao {
    long countByExample(MusicDataExample example);

    int deleteByExample(MusicDataExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MusicData record);

    int insertSelective(MusicData record);

    List<MusicData> selectByExample(MusicDataExample example);

    MusicData selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MusicData record, @Param("example") MusicDataExample example);

    int updateByExample(@Param("record") MusicData record, @Param("example") MusicDataExample example);

    int updateByPrimaryKeySelective(MusicData record);

    int updateByPrimaryKey(MusicData record);

    void truncate();

    List<MusicData> selectByRegexp(String regexp);

    List<String> selectAllAlbum();
    List<String> selectAllArtist();
    List<MusicData> selectAlbum(String album);
    List<MusicData> selectArtist(String artist);
}